[u-a-dev] [Bug 128227] gutsy/amd64: ftbfs / autopkgtest failure

Ian Jackson iwj at ubuntu.com
Wed Jul 25 11:22:52 BST 2007


Public bug reported:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects /ubuntu/pyspi

An instance of autopkgtest (an automatic package testing system) has
found that this package either failed to build from source - or that
it declared some tests in its debian/tests/control and that at least
one of these tests failed.

A human has briefly looked at the transcript and concluded that the
fault is a bug in the package or one of its build-dependencies.

The test environment is an amd64 Xen guest with limited amounts of
memory.  The relevant dependencies are installed for each test but
very few other packages.

The top and bottom of the mail sent by the autopkgtest instance to its
administrator is included below.  The full log can be found at
 http://autopkgtest.ubuntu.com/autopkgtest-output/gutsy/pyspi/

|  Test executed for:  gutsy  source  pyspi
|  Outcome: erroneous package!
|   blame: arg:tmp/pyspi/src/pyspi_0.6.1-1ubuntu1.dsc dsc:pyspi
|   badpkg: rules build failed with exit code 2
|   quitting: erroneous package: rules build failed with exit code 2
|   
|   erroneous package!
...
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/cspi.pxd:52:107: Exception value incompatible with function return type
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/cspi.pxd:53:108: Exception value incompatible with function return type
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1538:118: Exception value incompatible with function return type
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1554:64: Invalid operand types for '|' (AccessibleDeviceEventType; AccessibleDeviceEventType)
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:163:7: 'Display' is not declared
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:163:7: 'Display' is not a type identifier
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:164:30: Cannot convert 'void (*)' to Python object
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:164:29: Cannot convert Python object to '<error>'
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:168:22: Cannot convert '<error>' to Python object
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:189:27: Type '__pyx_t_5atspi_bool' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:321:42: Cannot assign type 'SPIBoolean' to '__pyx_t_5atspi_bool'
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:507:35: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:778:44: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:845:42: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:889:45: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:897:42: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:905:44: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:918:53: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:926:51: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:934:48: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1118:35: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1342:7: 'Display' is not declared
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1342:7: 'Display' is not a type identifier
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1345:7: 'KeySym' is not declared
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1345:7: 'KeySym' is not a type identifier
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1347:7: 'KeyCode' is not declared
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1347:7: 'KeyCode' is not a type identifier
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1343:30: Cannot convert 'void (*)' to Python object
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1343:29: Cannot convert Python object to '<error>'
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1348:31: Cannot convert '<error>' to Python object
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1352:21: Cannot convert '<error>' to Python object
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1378:40: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1439:37: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1482:47: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1523:19: Type 'SPIBoolean' not acceptable as a boolean
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1544:8: Cannot assign type '__pyx_t_5atspi_bool' to 'SPIBoolean'
| /root/adt-downtmp/dsc0-build/pyspi-0.6.1/pyspi.pyx:1574:55: Type 'SPIBoolean' not acceptable as a boolean
| make: *** [python-build-stamp-2.4] Error 1
| blame: arg:tmp/pyspi/src/pyspi_0.6.1-1ubuntu1.dsc dsc:pyspi
| badpkg: rules build failed with exit code 2
| adt-run: erroneous package: rules build failed with exit code 2
| adt-run: trace: ** stop
| adt-run: trace: ** close, scratch=tb-scratch~/root/adt-downtmp:-/|/root/adt-downtmp/!
| ++++++ RESULTS erroneous package! ++++++
| ++++++ bundling ++++++
| ++++++ uploading ++++++
| ++++++ contacting maintainer_email_override ++++++
| ++++++ tested. ++++++
| 
| 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFGpyR805QTisYqw/QRAn2pAJ9rQvDn/Jh+RnJzhOE595fZRAIvvACfd0y7
4+e5AcZRPCRwPVBZfICqdbw=
=dCXx
-----END PGP SIGNATURE-----

** Affects: pyspi (Ubuntu)
     Importance: Undecided
         Status: New

-- 
gutsy/amd64: ftbfs / autopkgtest failure
https://bugs.launchpad.net/bugs/128227
You received this bug notification because you are a member of
Accessibility, which is a bug contact for pyspi in ubuntu.



More information about the Ubuntu-accessibility-devel mailing list